<?
require_once('include/global.php');
auth_limit("admin");


// check
	if (!$_POST['bm_name'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$mg_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['BOARD_MENU'] . " WHERE d_no='" . $AUTH['auth_d_no'] . "' AND bm_name='" . $_POST['bm_name'] . "'");
	if ($mg_cnt > 0)
		msg("이미 존재하는 메뉴명입니다.\\n\\n다른 메뉴명을 사용하여 주십시오.");


// data
	to_db_str(&$_POST['bm_name'], 50);

	$sql = "
		INSERT INTO
			" . $TB['BOARD_MENU'] . "
			(bm_no, d_no, bm_name, bm_sort)
		VALUES
			(".db_sqc_next($TB['BOARD_MENU']).", '" . $AUTH['auth_d_no'] . "', '" . $_POST['bm_name'] . "', '" . $_POST['bm_sort'] . "')
		";
	db_query($sql);


// end
	#msg("메뉴가 등록되었습니다.", 0);
	movepage('admin_board_menu.php');


require_once('include/global_end.php');
?>